Switch Conversation Profile
curl --request POST \
--url https://api.example.com/api/v1/app-conversations/{conversation_id}/switch_profile \
--header 'Content-Type: application/json' \
--header 'X-Access-Token: <api-key>' \
--data '
{
"profile_name": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/app-conversations/{conversation_id}/switch_profile"
payload = { "profile_name": "<string>" }
headers = {
"X-Access-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Access-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({profile_name: '<string>'})
};
fetch('https://api.example.com/api/v1/app-conversations/{conversation_id}/switch_profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Conversations
Switch Conversation Profile
Switch the running conversation’s LLM to a saved profile.
Profiles live in the app-server’s user settings, not on the sandbox FS,
so we resolve the profile here and hand the LLM directly to the
agent-server’s switch_llm endpoint.
POST
/
api
/
v1
/
app-conversations
/
{conversation_id}
/
switch_profile
Switch Conversation Profile
Authorizations
Path Parameters
Body
application/json
Request to switch a running conversation's LLM to a saved profile.
Name of a profile previously saved via /api/v1/settings/profiles.
Minimum string length:
1Response
Successful Response
Was this page helpful?
⌘I

